#{extends 'border.html'/}
<div class="container-fluid">
#{form @admin.UsulanCtr.saveAgenda(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{admin.UsulanCtr.index()}">&{'daftar_usulan.label'}</a></li>
                <li><a href="@{admin.UsulanCtr.detail(usulan.id)}">${usulan.nama_usulan}</a></li>
                <li class="active">&{'buat.label'} &{'agenda_kegiatan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@admin.UsulanCtr.detail(usulan.id)/}
                #{saveButton/}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">

        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <h4>&{'buat.label'} &{'agenda_kegiatan.label'}</h4>
                    <hr>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'tanggal.label'}</label>
                        <div class="col-md-2">
                            <input type="text" name="tanggal" id="tanggal" class="form-control" required>
                    </span>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'waktu.label'}</label>
                        <div class="col-md-2">
                            <input type="text" name="jam" id="jam" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'lokasi.label'}</label>
                        <div class="col-md-5">
                            <input type="text" class="form-control" name="lokasi" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'judul.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="judul" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'keterangan.label'}</label>
                        <div class="col-md-5">
                            <textarea id="isi_konten" name="isi_konten" rows="10" class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'unggah.label'} &{'lampiran.label'}</label>
                        <div class="col-md-5">
                            <input type="file"
                                   id="file_lampiran" name="file_lampiran"
                                   accept=".doc,.docx,.pdf,.xlx,.xlsx,.zip,.jpg,.jpeg" class="form-control"/>
                        </div><br><br>
                        <div class="col-md-4 col-lg-offset-2">
                            <div class="error-image" style="display: none;"><span style="color: red;">&{'file_ukuran_lebih_dari.label'} 10 MB !</span><br></div>
                            <div class="error-image-extention" style="display: none;"><span style="color: red;">&{'format_file_salah.label'} !</span><br></div>
                            <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.doc|.docx|.pdf|.xlx|.xlsx|.zip|.jpg|.jpeg</span>)
                            <br>
                            <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 10 MB </span>)
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="usulan_id" id="data_id" value="${usulan.id}">
    <input type="hidden" name="agenda_id" id="agenda_id">
#{/form}
</div>

#{validationPackage/}

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){

        $('#tanggal').datepicker({
            locale:'id',
            format:'dd-mm-yyyy'
        });

        $('#jam').datetimepicker({
            locale:'id',
            format:'LT'
        });

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $(document).on('click', '#tambah-dokumen-pengadaan', function(){
//            $("#fileupload").click();
            var li = $("<li>",{"class": "list-group-item col-md-4"}).css("margin-right","1em").css("margin-bottom","1em").css("max-height","52px");

            var labelWrapper = $("<div>",{"class": "col-md-10"});
            var label = $("<div>",{"class":"dok-file"}).css("padding-top","7px");
            label.html(file.name);
            labelWrapper.append(label);

            var removeButtonWrapper = $("<div>",{"class": "col-md-2"});
            var removeButton = $("<a>",{"class": "removeDok pull-right","versi":file.versi,"fileId":file.id,"href":"javascript:void(0)"});
            var icon = $("<i>",{"class":"fa fa-trash-o"});
            removeButton.append(icon);
            removeButtonWrapper.append(removeButton);

            var input = $("<input>",{"name":"pengadaan","value":file.id,"type":"hidden"});

            li.append(labelWrapper);
            li.append(removeButtonWrapper);
            li.append(input);
            li.append($("<div>",{"class":"clearfix"}));

            $('#files').append(li);
        });

        $(document).on('click', '#fileupload', function(){
            $('#fileupload').fileupload({
                url: '@{admin.UsulanCtr.uploadDokumenPengadaan()}',
                formData: {usulanId: $('#usulan-id').val()},
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|zip|rar|rtf|jpe?g|png)$/i,
                done: function (e, data) {
                    // console.log(data);
                    $.each(data.result.files, function (index, file) {

                        var li = $("<li>",{"class": "list-group-item col-md-4"}).css("margin-right","1em").css("margin-bottom","1em").css("max-height","52px");

                        var labelWrapper = $("<div>",{"class": "col-md-10"});
                        var label = $("<div>",{"class":"dok-file"}).css("padding-top","7px");
                        label.html(file.name);
                        labelWrapper.append(label);

                        var removeButtonWrapper = $("<div>",{"class": "col-md-2"});
                        var removeButton = $("<a>",{"class": "removeDok pull-right","versi":file.versi,"fileId":file.id,"href":"javascript:void(0)"});
                        var icon = $("<i>",{"class":"fa fa-trash-o"});
                        removeButton.append(icon);
                        removeButtonWrapper.append(removeButton);

                        var input = $("<input>",{"name":"pengadaan","value":file.id,"type":"hidden"});

                        li.append(labelWrapper);
                        li.append(removeButtonWrapper);
                        li.append(input);
                        li.append($("<div>",{"class":"clearfix"}));

                        $('#files').append(li);
                    });

                    $('#progressFile').hide();
                    $('#alert-upload').hide();
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progressFile').show();
                    $('#progressFile .progress-bar').css(
                            'width',
                            progress + '%'
                    );
                }
            }).on('fileuploadprocessalways', function (e, data) {
                var file = data.files[data.index];
                if (data.files.error && file.error) {
                    var msg = file.name+' - '+file.error
                    $('#alert-').attr('class', 'alert alert-danger').html(msg)
                }
            }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
        });

    });
</script>
<script type="text/javascript">
    $('#file_lampiran').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("file_lampiran").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 10;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#file_lampiran").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'pdf':
            case 'doc':
            case 'docx':
            case 'xlx':
            case 'xlsx':
            case 'zip':
            case 'jpg':
            case 'jpeg':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('#file_lampiran').val('');
        }
    });
</script>
#{/set}